package com.muyu.common.core.validation.custom;

import jakarta.validation.Constraint;
import jakarta.validation.Payload;

import java.lang.annotation.*;

/**
 * @Author：zhangchengzhi
 * @Package：com.muyu.common.core.validation.custom
 * @Project：cloud-common-core
 * @name：IsSystemPayType
 * @Date：2024/7/31 20:22
 * @Decscription validation 自定义支付渠道校验
 */
@Target({ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Constraint(validatedBy = {SystemYesNoValidator.class})
public @interface IsSystemPayType {

    String message() default "[支付渠道] - 参数不合法";
    Class<?>[] groups() default  {};
    Class<? extends Payload>[] payload() default  {};


}
